:javascript

  var invalidDomains = ["@qq.","@163."];

  var callbackMktoFormOnSuccess = function(){

    document.getElementById('video-container').style.display = 'block';
      //document.getElementById('video-container2').style.display = 'block';

    document.getElementById('demo-form-container').style.display = 'none';
      //document.getElementById('demo-form-container2').style.display = 'none';

    document.getElementById('confirmform').style.display = 'block';
      //document.getElementById('confirmform2').style.display = 'block';

    document.getElementById('demo-video').src = "https://player.vimeo.com/video/552524149";
    document.getElementById('demo-video').style.display = 'block';
      //document.getElementById('demo-video2').src = "https://www.youtube.com/embed/nMAgP4WIcno";
      //document.getElementById('demo-video2').style.display = 'block';

    document.getElementById('demo-info').style.display = 'none';
      //document.getElementById('demo-info2').style.display = 'none';

    window.scrollTo(0, 0);
    // form.getFormElem().hide();
  };

  MktoForms2.setOptions(
  {
    formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
  });
  // adapted from https://codepen.io/figureone/pen/ayKadR?editors=0010
  var mktoFormConfig = {
    podId : "//page.gitlab.com",
    munchkinId : "194-VVC-221",
    formIds : [1754]
  };
  function mktoFormChain(config) {

    /* util */
    var arrayFrom = Function.prototype.call.bind(Array.prototype.slice);

    /* const */
    var MKTOFORM_ID_ATTRNAME = "data-formId";

    /* fix inter-form label bug! */
    MktoForms2.whenRendered(function(form) {
      var formEl = form.getFormElem()[0],
        rando = "_" + new Date().getTime() + Math.random();

      arrayFrom(formEl.querySelectorAll("label[for]")).forEach(function(labelEl) {
        var forEl = formEl.querySelector('[id="' + labelEl.htmlFor + '"]');
        if (forEl) {
          labelEl.htmlFor = forEl.id = forEl.id + rando;
        }
      });
    });

    /* chain, ensuring only one #mktoForm_nnn exists at a time */
    arrayFrom(config.formIds).forEach(function(formId) {
      var loadForm = MktoForms2.loadForm.bind(MktoForms2,config.podId,config.munchkinId,formId),
        formEls = arrayFrom(document.querySelectorAll("[" + MKTOFORM_ID_ATTRNAME + '="' + formId + '"]'));

      (function loadFormCb(formEls) {
        var formEl = formEls.shift();
        formEl.id = "mktoForm_" + formId;

        loadForm(function(form) {
          formEl.id = "";
          if (formEls.length) {
            loadFormCb(formEls);
          }
          form.onSuccess(function()
          //
          {
            dataLayer.push(
            {
              'event' : 'demo', 
              'mktoFormId' : form.getId(),
              'eventCallback' : function()
              {
                callbackMktoFormOnSuccess();
              }, 'eventTimeout' : 3000
            });
            return false;
          });
          //
          form.onValidate(function() {
            var email = form.vals().Email;
            if (email) {
              if (!isEmailGood(email)) {
                form.submitable(false);
                var emailElem = form.getFormElem().find("#Email");
                form.showErrorMessage("Must be Business email.", emailElem);
              } else {
                form.submitable(true);
              }
            }
          });
          //
          function isEmailGood(email) {
            for(var i=0; i < invalidDomains.length; i++) {
              var domain = invalidDomains[i];
              if (email.indexOf(domain) != -1) {
                return false;
              }
            }
            return true;
          }
        });
      })(formEls);
    });
  }

  mktoFormChain(mktoFormConfig);
 